Get the global metadata for a given contract
curl --request GET \
--url https://solana-gateway.moralis.io/nft/{network}/{address}/metadata \
--header 'X-Api-Key: <api-key>'import requests
url = "https://solana-gateway.moralis.io/nft/{network}/{address}/metadata"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://solana-gateway.moralis.io/nft/{network}/{address}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mint": "<string>",
"address": "<string>",
"standard": "<string>",
"name": "<string>",
"symbol": "<string>",
"tokenStandard": 123,
"description": "<string>",
"imageOriginalUrl": "<string>",
"externalUrl": "<string>",
"metadataOriginalUrl": "<string>",
"totalSupply": "<string>",
"metaplex": {
"metadataUri": "<string>",
"masterEdition": true,
"isMutable": true,
"primarySaleHappened": 123,
"sellerFeeBasisPoints": 123,
"updateAuthority": "<string>"
},
"attributes": [
{
"traitType": "<string>",
"value": {}
}
],
"contract": {
"type": "<string>",
"name": "<string>",
"symbol": "<string>"
},
"collection": {
"collectionAddress": "<string>",
"name": "<string>",
"description": "<string>",
"imageOriginalUrl": "<string>",
"externalUrl": "<string>",
"metaplexMint": "<string>",
"sellerFeeBasisPoints": 123
},
"firstCreated": {
"mintTimestamp": 123,
"mintBlockNumber": 123,
"mintTransaction": "<string>"
},
"creators": [
{
"address": "<string>",
"share": 123,
"verified": true
}
],
"properties": {},
"media": {
"mimetype": "<string>",
"category": "<string>",
"originalMediaUrl": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"mediaCollection": {
"low": {
"width": 123,
"height": 123,
"url": "<string>"
},
"medium": {
"width": 123,
"height": 123,
"url": "<string>"
},
"high": {
"width": 123,
"height": 123,
"url": "<string>"
}
}
},
"possibleSpam": true
}NFT API
NFT Metadata
Gets the contract level metadata (mint, standard, name, symbol, metaplex) for the given contract
GET
/
nft
/
{network}
/
{address}
/
metadata
Get the global metadata for a given contract
Authorizations
Path Parameters
The network to query
Available options:
mainnet, devnet The address to query
Example:
"So11111111111111111111111111111111111111112"
Query Parameters
Should return media items
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

